
From: Olaf Hering <olh@suse.de>

xmon will do nothing but noise on a G5 if BOOTX_TEXT is not enabled. 
mention the recognized kernel cmdline options for xmon.

Signed-off-by: Olaf Hering <olh@suse.de>
Cc: Paul Mackeras <paulus@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ppc64/Kconfig.debug |    9 +++++++++
 1 files changed, 9 insertions(+)

diff -puN arch/ppc64/Kconfig.debug~ppc64-update-xmon-helptext arch/ppc64/Kconfig.debug
--- devel/arch/ppc64/Kconfig.debug~ppc64-update-xmon-helptext	2005-08-05 00:31:47.000000000 -0700
+++ devel-akpm/arch/ppc64/Kconfig.debug	2005-08-05 00:31:47.000000000 -0700
@@ -41,10 +41,19 @@ config XMON
 	help
 	  Include in-kernel hooks for the xmon kernel monitor/debugger.
 	  Unless you are intending to debug the kernel, say N here.
+	  Make sure to enable also CONFIG_BOOTX_TEXT on Macs. Otherwise
+	  nothing will appear on the screen (xmon writes directly to the
+	  framebuffer memory).
+	  The cmdline option 'xmon' or 'xmon=early' will drop into xmon very
+	  early during boot. 'xmon=on' will just enable the xmon debugger hooks.
+	  'xmon=off' will disable the debugger hooks if CONFIG_XMON_DEFAULT is set.
 
 config XMON_DEFAULT
 	bool "Enable xmon by default"
 	depends on XMON
+	help
+	  xmon is normally disabled unless booted with 'xmon=on'.
+	  Use 'xmon=off' to disable xmon init during runtime.
 
 config PPCDBG
 	bool "Include PPCDBG realtime debugging"
_
